%define languageenglazy Lingala
%define languagecode    ln
%define lc_ctype        ln_CD

Name:           hunspell-%{languagecode}
Version:        0.02
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://lingala.sourceforge.net/
Source0:        http://downloads.sourceforge.net/lingala/hunspell-ln-0.02.zip

BuildArch:      noarch

Suggests:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p ln_CD.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ln_CD.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ln_CD.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Sat Feb 04 2012 kamil <kamil> 0.02-4.mga2
+ Revision: 204374
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.02-3.mga1
+ Revision: 68914
- imported package hunspell-ln


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 26 2009 Caolan McNamara <caolanm@redhat.com> - 0.02-1
- initial version
